Update Connection
curl --request PATCH \
--url https://api.cyberdesk.io/v1/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"last_ping": "2023-11-07T05:31:56Z",
"disconnected_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.cyberdesk.io/v1/connections/{connection_id}"
payload = {
"last_ping": "2023-11-07T05:31:56Z",
"disconnected_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({last_ping: '2023-11-07T05:31:56Z', disconnected_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.cyberdesk.io/v1/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"websocket_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_at": "2023-11-07T05:31:56Z",
"disconnected_at": "2023-11-07T05:31:56Z",
"last_ping": "2023-11-07T05:31:56Z",
"status": "connected",
"ip_address": "<string>",
"user_agent": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}connections
Update Connection
Update a connection’s status or timestamps.
Only the fields provided in the request body will be updated. The connection must belong to a machine owned by the authenticated organization.
PATCH
/
v1
/
connections
/
{connection_id}
Update Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
application/json
Response
Successful Response
Connection response schema
Required string length:
1 - 255Available options:
connected, disconnected, error Was this page helpful?